grst_admin.h File Reference

Go to the source code of this file.

## Functions

void | GRSThttpError (char *)
void | adminfooter (GRSThttpBody *, char *, char *, char *, char *)
int | GRSTstrCmpShort (char *, char *)
char * | makevfilename (char *, off_t, char *)
void | show_acl (int admin, GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | new_entry_form (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | new_entry (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | del_entry (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | edit_entry_form (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | edit_entry (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | add_cred_form (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | add_cred (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | del_cred (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | del_entry_sure (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | del_cred_sure (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | revert_acl (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | admin_continue (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file, GRSThttpBody *bp)
int | verifypasscode ()
void | outputformactionerror (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *dir_uri, char *admin_file)
char * | storeuploadfile (char *boundary, int *bufferused)
void | uploadfile (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *dir_uri, char *admin_file)
void | deletefileaction (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | deletefileform (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | renameform (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | editfileaction (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | create_acl (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | renameaction (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | newdirectory (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | editdnlistaction (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | printfile (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | filehistory (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | ziplist (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | unzipfile (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | editfileform (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | editdnlistform (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | managedir (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *dir_uri, char *admin_file)
int | userisgroupadmin (GRSTgaclUser *user, char *adminrole, char *uri)
void | managednlists (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *dir_uri, char *admin_file)
int | GRSTxacmlAclSave (GRSTgaclAcl *acl, char *filename, char *dir_uri)

## Function Documentation

## add_cred()

void add_cred | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## add_cred_form()

void add_cred_form | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## admin_continue()

void admin_continue | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file,
|  | GRSThttpBody * | bp )

## adminfooter()

void adminfooter | ( | GRSThttpBody * | bp,
|  | char * | dn,
|  | char * | help_uri,
|  | char * | dir_uri,
|  | char * | admin_file )

## create_acl()

void create_acl | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## del_cred()

void del_cred | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## del_cred_sure()

void del_cred_sure | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## del_entry()

void del_entry | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## del_entry_sure()

void del_entry_sure | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## deletefileaction()

void deletefileaction | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## deletefileform()

void deletefileform | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## edit_entry()

void edit_entry | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## edit_entry_form()

void edit_entry_form | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## editdnlistaction()

void editdnlistaction | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## editdnlistform()

void editdnlistform | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## editfileaction()

void editfileaction | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## editfileform()

void editfileform | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## filehistory()

void filehistory | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## GRSThttpError()

void GRSThttpError | ( | char * | status | ) |

## GRSTstrCmpShort()

int GRSTstrCmpShort | ( | char * | long_s,
|  | char * | short_s )

## GRSTxacmlAclSave()

int GRSTxacmlAclSave | ( | GRSTgaclAcl * | acl,
|  | char * | filename,
|  | char * | dir_uri )

## makevfilename()

char * makevfilename | ( | char * | publicname,
|  | off_t | size,
|  | char * | dn )

## managedir()

void managedir | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | dir_uri,
|  | char * | admin_file )

## managednlists()

void managednlists | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | dir_uri,
|  | char * | admin_file )

## new_entry()

void new_entry | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## new_entry_form()

void new_entry_form | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## newdirectory()

void newdirectory | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## outputformactionerror()

void outputformactionerror | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | dir_uri,
|  | char * | admin_file )

## printfile()

void printfile | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## renameaction()

void renameaction | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## renameform()

void renameform | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## revert_acl()

void revert_acl | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## show_acl()

void show_acl | ( | int | admin,
|  | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## storeuploadfile()

char * storeuploadfile | ( | char * | boundary,
|  | int * | bufferused )

## unzipfile()

void unzipfile | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## uploadfile()

void uploadfile | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | dir_uri,
|  | char * | admin_file )

## userisgroupadmin()

int userisgroupadmin | ( | GRSTgaclUser * | user,
|  | char * | adminrole,
|  | char * | uri )

## verifypasscode()

int verifypasscode | ( |  | ) |

## ziplist()

void ziplist | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )